This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.256. __nv_remquo

Prototype:

    double @__nv_remquo(double %x, double %y, i32* %c)

Description:

Compute a double-precision floating-point remainder in the same way as the remainder() function. Argument `quo` returns part of quotient upon division of `x` by `y`. Value `quo` has the same sign as x y and may not be the exact quotient but agrees with the exact quotient in the low order 3 bits.

Returns:

Returns the remainder.

- __nv_remquo(`x`, 0, `quo`) returns NaN.

- __nv_remquo( ± ∞ , `y`, `quo`) returns NaN.

- __nv_remquo(`x`, ± ∞ , `quo`) returns `x`.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes